{for linux
some functions does nothing, only for compile under linux
}

unit lfmosfuncnix;

{$mode objfpc}{$H+}

interface

uses Controls, ComCtrls, FileUtil , LResources;

procedure SetListViewImgListToSys(AListView :TCustomListView; ALarge: Boolean);

function GetFileSysImageIndex(AFName, AExt: string): Integer;

procedure SetListViewOverlayIndex(AListView :TCustomListView; AItemIndex, AOverlayIndex: Integer);

function GetListViewOverlayIndex(AFName: string): Integer;

procedure ShellExec(AFName, AFParam: string); //execute application

implementation

uses dos, graphics; //for exec

var gShImgListLarge, gShImgListSmall : TImageList;

procedure SetListViewImgListToSys(AListView :TCustomListView; ALarge: Boolean);
begin
  if ALarge then TListView(AListView).LargeImages:=gShImgListLarge
  else TListView(AListView).SmallImages:=gShImgListSmall;
end;

function GetFileSysImageIndex(AFName, AExt: string): Integer;
begin
   if DirPathExists(AFName) then Result:=1
   else if Pos(AExt,'.zip;.gz;.tar;.bz2;.bz;.rar;.7z;.ace;')>0 then Result:=4
   else if Pos(AExt,'.htm;.html;.mht;.chm;.asp;')>0 then Result:=5
   else if Pos(AExt,'.bmp;.xpm;.png;.pbm;.pgm;.ppm;.ico;.icns;.cur;.jpg;.jpeg;.jpe;.jfif;.tif;.tiff;.gif;.pcx;.svg;.psp')>0 then Result:=6
   else if Pos(AExt,'.avi;.mpg;.mpeg;.mp4;.flv;')>0 then Result:=7
   else if Pos(AExt,'.mp3;.ogg;.wav;.wmf;')>0 then Result:=8
   else if Pos(AExt,'.pdf;')>0 then Result:=9
   else if FileIsText(AFName) then Result:=3         //this and next line at least because on ntfs it shows all executable
   else if FileIsExecutable(AFName) then Result:=2
   else Result:=0;
   //Result:=3;
end;

procedure SetListViewOverlayIndex(AListView :TCustomListView; AItemIndex, AOverlayIndex: Integer);
begin
end;

function GetListViewOverlayIndex(AFName: string): Integer;
begin
end;

procedure ShellExec(AFName, AFParam: string);
begin
  Exec(AFName, AFParam);
end;

//var aIcon: TIcon;

initialization
 {$I niximg.lrs}  //I used fatcow free icons

 {aIcon:= TIcon.Create;
  aIcon.LoadFromFile('/media/ddisk/AppDev/Projekte/lazfm/v2/lazfm.ico');}

 gShImgListLarge:=TImageList.Create(nil);
  gShImgListLarge.Width:=32;
  gShImgListLarge.Height:=32;
  gShImgListLarge.AddLazarusResource('niximglarge');
  //gShImgListLarge.AddIcon(aIcon);

 gShImgListSmall:=TImageList.Create(nil);
  gShImgListSmall.Width:=16;
  gShImgListSmall.Height:=16;
  gShImgListSmall.AddLazarusResource('niximgsmall');
  //gShImgListSmall.AddIcon(aIcon);

finalization
 gShImgListLarge.Free;
 gShImgListSmall.Free;
 //aIcon.Free;
end.

