unit mainform;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ComCtrls,
  sashellctrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    ImageList1: TImageList;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ToolButFUp: TToolButton;
    ToolButton5: TToolButton;
    ToolButLast: TToolButton;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure AcFileExec(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
    AkFView : TShellListView;
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  AkFView := TShellListView.Create(self);
   AkFView.ViewStyle:=vsReport; // vsList;
   AkFView.Align:=alClient;
   AkFView.Parent:=self;

   AkFView.GetFiles(ExtractFilePath(ParamStr(0)));

end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  AkFView.Free;
end;

procedure TForm1.AcFileExec(Sender: TObject);
begin
  case TComponent(Sender).Tag of
    1:; //back
    2:; //next
    3: AkFView.ParenFolder; //Up
  end;
end;

procedure TForm1.FormShow(Sender: TObject);
begin

end;

end.

